#include <iostream>

using namespace std;

int main()
{
    int a1, a2;
    char c1, c2;

    cin >> c1 >> c2;
    cin >> a1 >> a2;

    if (abs(a1 - a2) > 1){
        cout << "nemoguce";
    }else{
        if (a1 > a2){
            if (a1 - a2 == 1){
                cout << c1;
            }
            for (int i = 0; i < a2; i++){
                cout << c2;
                cout << c1;
            }
        }else{
            if (a2 - a1 == 1){
                cout << c2;
            }
            for (int i = 0; i < a1; i++){
                cout << c1;
                cout << c2;
        }
        }
    }
}